local soundeffectsutil = require "soundeffectsutil"

function data()
return {
	tracks = {
		{ name = "vehicle/AvenioTZ/drive0.wav", refDist = 25.0 },	-- Beschleunigungssound
		{ name = "vehicle/AvenioTZ/drive1.wav", refDist = 25.0 },	-- Beschleunigungssound
		{ name = "vehicle/AvenioTZ/drive2.wav", refDist = 25.0 },	-- Fahrsound
		{ name = "vehicle/AvenioTZ/Klingel.wav", refDist = 25.0 },   -- Eine Glocke, welche ich beim Anfahren und Bremsen abspiele
	},
	events = {
		horn= { names = { "vehicle/AvenioTZ/Klingel.wav" }, refDist = 15.0 }, 		-- Horn
		openDoors = { names = { "vehicle/AvenioTZ/Tuereauf.wav" }, refDist = 15.0 },	-- Türe auf Ton	
		closeDoors = { names = { "vehicle/AvenioTZ/Tuerezu.wav" }, refDist = 15.0 }		-- Türe zu Ton
	},

	updateFn = function (input)
		return {
			tracks = { 
				
				{ 
					gain = soundeffectsutil.sampleCurve({ -- erster track bezieht sich auf erste Datei die oben angegeben wurde
					    { 0.0, 0},							-- Geschwindigkeit v=0 keine Lautstärke
						{ 0.25, 2.7},						-- Geschwindigkeit ein viertel der maximalgeschwindigkeit sehr laut
						{ 0.3, 0.0},						-- Geschwindigkeit ein drittel der maximalgeschwindigkeit  keine Lautstärke
					}, input.speed01),						-- abhängig vom speed
					pitch = soundeffectsutil.sampleCurve({
						{ 0.0, 0.8},						-- Geschwindigkeit 0: etwas runtergepitcht
						{ 0.4, 1.1}, 						-- Geschwindigkeit 0.4: etwas höher gepitcht. In Realität nur bis 0.3 hörbar, da danach Laustärke 0 ist
					}, input.speed01)
				},
				{ 
					gain = soundeffectsutil.sampleCurve({	-- hier zweiter Track leise bis 0.25v dann bis 0.28 lauter, bis 0.5 noch lauter dann ab 0.7 leise
					    { 0.0, 0},
						{ 0.25, 0.1},
						{ 0.28, 0.4},
						{ 0.5, 0.6},
						{ 0.7, 0.1},
					}, input.speed01),
					pitch = soundeffectsutil.sampleCurve({
						{ 0.0, 1.0},						-- originalton bei v = 0
						{ 0.7, 1.5}, 						-- hochgepitcht auf 1.5 bis 0.7v
					}, input.speed01)
				},
				{ 
					gain = soundeffectsutil.sampleCurve({ -- Fahrsound lauter mit mehr Speed
					    { .0, 0},
						{ .2, 0.5},
						{ 1, 1.5},
					}, input.speed01),
					pitch = soundeffectsutil.sampleCurve({
						{ 0.0, 1},
						{ 1, 1.1}, 
					}, input.speed01)
				},
				{ 						
					gain = soundeffectsutil.sampleCurve({		-- Klingel klingelt immer zwischen v= 0.11 und 0.18
						{ .11, 0},
						{ .145, 1},
						{ .18, 0},
					}, input.speed01),
					pitch = soundeffectsutil.sampleCurve({
						{ .0, 1},
						{ 1, 1}, 
					}, input.speed01)
				},
				
			},
			events = {
				horn = { gain = 1.0, pitch = 1.0 },		-- horn 
				openDoors = { gain = 1.0, pitch = 1.0 },	-- türe auf
				closeDoors = { gain = 1.0, pitch = 1.0 }	-- türe zu
			}
		}
	end
}
end
